Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | Static Private Member Functions | List of all members
eZXMLRPCResponse Class Reference

## Public Member Functions
| __construct ()
| decodeStream ( $stream)
| setResult ( $result)
| setVersion ( $version, $release)
| setError ( $faultCode, $faultString, $faultSubCode=false)
| result ()
& | payload ()
| isFault ()
| faultCode ()
| faultString ()

## Public Attributes
| $Result
| Contains the result. More...
| $Error
| Contains the error struct. More...
| $IsFault
| Is true if the response is a fault. More...
| $Version
| The version and release number, is sent on error responses. More...
| $Release

## Static Private Member Functions
& | stripHTTPHeader ( $data)

## Detailed Description

! eZXMLRPC eZXMLRPCResponse hadles a XML-RPC server response.

Definition at line 49 of file ezxmlrpcresponse.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZXMLRPCResponse::__construct | ( |  | ) |

Creates a new eZXMLRPCResponse object.

Definition at line 54 of file ezxmlrpcresponse.php.

## Member Function Documentation

## ◆ decodeStream()

eZXMLRPCResponse::decodeStream | ( |  | $stream | ) |

Decodes the XML-RPC response stream and stores the result.

You can get the result by calling the result() function.

Definition at line 66 of file ezxmlrpcresponse.php.

References $response, eZXML\domTree(), setError(), and stripHTTPHeader().

## ◆ faultCode()

eZXMLRPCResponse::faultCode | ( |  | ) |

Returns the fault code if there was an error. False if not.

Definition at line 240 of file ezxmlrpcresponse.php.

References $error, and $ret.

## ◆ faultString()

eZXMLRPCResponse::faultString | ( |  | ) |

Returns the fault string if there was an error. False if not.

Definition at line 260 of file ezxmlrpcresponse.php.

References $error, and $ret.

## ◆ isFault()

eZXMLRPCResponse::isFault | ( |  | ) |

Returns true if the response is a fault.

Definition at line 232 of file ezxmlrpcresponse.php.

References $IsFault.

## ◆ payload()

& eZXMLRPCResponse::payload | ( |  | ) |

Returns the response payload. This is the response encoded as an XML-RPC call.

Definition at line 196 of file ezxmlrpcresponse.php.

## ◆ result()

eZXMLRPCResponse::result | ( |  | ) |

Returns the result of the response

The result is a valid XML-RPC datatype object. eZXMLRPCInt, eZXMLRPCString ...

If not false is returned

Definition at line 187 of file ezxmlrpcresponse.php.

References $Result.

## ◆ setError()

eZXMLRPCResponse::setError | ( |  | $faultCode,
|  |  | $faultString,
|  |  | $faultSubCode = `false`
| ) |  |

Sets an error message.

Definition at line 167 of file ezxmlrpcresponse.php.

References $error.

Referenced by decodeStream().

## ◆ setResult()

eZXMLRPCResponse::setResult | ( |  | $result | ) |

Sets the result value.

The argument must be a valid XML-RPC datatype object. eZXMLRPCInt, eZXMLRPCString ...

Definition at line 147 of file ezxmlrpcresponse.php.

References $result.

## ◆ setVersion()

eZXMLRPCResponse::setVersion | ( |  | $version,
|  |  | $release
| ) |  |

Sets the version and release number, the version is expected to be a float with a major and minor version, while the release is an integer. Example: setVersion( 2.2, 2 )

Definition at line 157 of file ezxmlrpcresponse.php.

References $version.

## ◆ stripHTTPHeader()

& eZXMLRPCResponse::stripHTTPHeader | ( |  | $data | ) |
| static private

Strips the header information from the HTTP raw response.

Definition at line 221 of file ezxmlrpcresponse.php.

Referenced by decodeStream().

## Member Data Documentation

## ◆ $Error

eZXMLRPCResponse::$Error

Contains the error struct.

Definition at line 280 of file ezxmlrpcresponse.php.

## ◆ $IsFault

eZXMLRPCResponse::$IsFault

Is true if the response is a fault.

Definition at line 283 of file ezxmlrpcresponse.php.

Referenced by isFault().

## ◆ $Release

eZXMLRPCResponse::$Release

Definition at line 287 of file ezxmlrpcresponse.php.

## ◆ $Result

eZXMLRPCResponse::$Result

Contains the result.

Definition at line 277 of file ezxmlrpcresponse.php.

Referenced by result().

## ◆ $Version

eZXMLRPCResponse::$Version

The version and release number, is sent on error responses.

Definition at line 286 of file ezxmlrpcresponse.php.

The documentation for this class was generated from the following file:

- ezxmlrpcresponse.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.